\documentclass{amsart}

\begin{document}
  \emph{I have here a very long string of emphatic text and it's going
    to be}\emph{repeated by the next paragraph and I don't want any
    whitespace between the two.}

  \emph{I have here a very long string of emphatic text and it's
    be}\emph{repeated by the next paragraph and I don't want any
    whitespace between the two.}
\end{document}
